# encoding: utf-8
require 'fedux_org_stdlib/core_ext/string/transliterate'

RSpec.describe String do
  context '#transliterate' do
    it 'removes accents' do
      expect('á'.transliterate).to eq 'a'
    end

    it 'removes umlauts' do
      expect('ä'.transliterate).to eq 'a'
    end

    it 'removes special characters "§$%&/()=?!\t' do
      expect(%('°^!"§$%&/()=?!\t).transliterate).to eq ''
    end
  end
end
