# encoding: utf-8
require 'fedux_org_stdlib/logic_converters/true_false_converter'

RSpec.describe FeduxOrgStdlib::LogicConverters::TrueFalseConverter do
  let(:converter) { FeduxOrgStdlib::LogicConverters::TrueFalseConverter.new }

  context '#parse' do
    it 'converts true to "true"' do
      result = converter.parse(true)
      expect(result).to eq('true')
    end

    it 'converts false to "false"' do
      result = converter.parse(false)
      expect(result).to eq('false')
    end
  end
end
