# encoding: utf-8
require 'active_support/core_ext/string/inflections'

RSpec::Matchers.define :be_defined do
  match do |actual|
    begin
      actual.constantize

      return true
    rescue StandardError
      return false
    end
  end

  failure_message do |actual|
    "expected that #{actual} should be defined"
  end

  failure_message_when_negated do |actual|
    "expected that #{actual} should not be defined"
  end
end
