# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/core_ext/string/underline'

RSpec.describe 'String#underline' do
  it 'returns a string which is underlined' do
    expect('Headline'.underline).to eq <<-EOS.strip_heredoc.chomp
    Headline
    --------
    EOS
  end

  it 'is possible to change the character used' do
    expect('Headline'.underline(character: '#')).to eq <<-EOS.strip_heredoc.chomp
    Headline
    ########
    EOS
  end
end
