# encoding: utf-8
require 'fedux_org_stdlib/logic_converters/on_off_converter'

RSpec.describe FeduxOrgStdlib::LogicConverters::OnOffConverter do
  let(:converter) { FeduxOrgStdlib::LogicConverters::OnOffConverter.new }

  context '#parse' do
    it 'converts true to on' do
      result = converter.parse(true)
      expect(result).to eq('on')
    end

    it 'converts false to off' do
      result = converter.parse(false)
      expect(result).to eq('off')
    end
  end
end
