# encoding: utf-8
require 'fedux_org_stdlib/logic_converters/y_n_converter'

RSpec.describe FeduxOrgStdlib::LogicConverters::YNConverter do
  let(:converter) { FeduxOrgStdlib::LogicConverters::YNConverter.new }

  context '#parse' do
    it 'converts true to on' do
      result = converter.parse(true)
      expect(result).to eq('y')
    end

    it 'converts false to off' do
      result = converter.parse(false)
      expect(result).to eq('n')
    end
  end
end
