# encoding: utf-8
require 'fedux_org_stdlib/logic_converters/yes_no_converter'

RSpec.describe FeduxOrgStdlib::LogicConverters::YesNoConverter do
  let(:converter) { FeduxOrgStdlib::LogicConverters::YesNoConverter.new }

  context '#parse' do
    it 'converts true to "true"' do
      result = converter.parse(true)
      expect(result).to eq('yes')
    end

    it 'converts false to "false"' do
      result = converter.parse(false)
      expect(result).to eq('no')
    end
  end
end
