# encoding: utf-8
$LOAD_PATH << File.expand_path('../../lib', __FILE__)
require 'fedux_org_stdlib'
# Avoid writing "describe MyModule::MyClass do [..]" but "describe MyClass do [..]"
include FeduxOrgStdlib

require 'simplecov'
SimpleCov.command_name 'rspec'
SimpleCov.start

# Pull in all of the gems including those in the `test` group
require 'bundler'
Bundler.require :default, :test, :development

# Loading support files
Dir.glob(::File.expand_path('../support/*.rb', __FILE__)).each { |f| require_relative f }
Dir.glob(::File.expand_path('../matchers/*.rb', __FILE__)).each { |f| require_relative f }

def examples_directory
  File.expand_path('../examples', __FILE__)
end
