# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/version_management/library_builder'

RSpec.describe FeduxOrgStdlib::VersionManagement::LibraryBuilder do
  context '#build_from' do
    it 'accepts a version string and builds a version object' do
      library = FeduxOrgStdlib::VersionManagement::LibraryBuilder.new.build_from(['MyModules'])
      expect(library.module_names).to eq(['MyModules'])
    end
  end
end
