# encoding: utf-8
require 'spec_helper'
require 'fedux_org_stdlib/version_management/version_builder'

RSpec.describe FeduxOrgStdlib::VersionManagement::VersionBuilder do
  context '#build_from' do
    it 'accepts a version string and builds a version object' do
      version = FeduxOrgStdlib::VersionManagement::VersionBuilder.new.build_from('0.0.0')
      expect(version.to_s).to eq('0.0.0')
    end
  end
end
